/*****************************************************************************

	HelloLocaleWin.h
	
	Copyright 2001, Siegfried Soft.   All Rights Reserved.

*****************************************************************************/
#ifndef HELLOLOCALEWIN_H
#define	HELLOLOCALEWIN_H

#include <Menu.h>
#include <Message.h>
#include <Rect.h>
#include <View.h>
#include <Window.h>
#include "SFLocale.h"

// ---------------------------------------------------------------------------------
class HelloLocaleBkgView : public BView
{
public:
					HelloLocaleBkgView(BRect frame);
	void			AttachedToWindow();
};


// ---------------------------------------------------------------------------------
class HelloLocaleWin : public BWindow
{
public:
					HelloLocaleWin(const char *title,
								window_look look = B_TITLED_WINDOW_LOOK, 
								window_feel feel = B_NORMAL_WINDOW_FEEL,
								uint32 flags = 0);
					~HelloLocaleWin();
	void			MessageReceived(BMessage *msg);
	bool			QuitRequested();

private:
	void				BuildLanguageMenu(BMenu *menu, const char *def);
	void				InsertLanguageItem(BMenu *menu, BMenuItem *newitem);
	BMenuItem 			*CreateLanguageItem(const char *name);
	void				UpdateLocaleMenu(BMessage *msg);

	HelloLocaleBkgView	*cBkgView;				// Background view
	SFLocale			*cLang;					// Pointer to text data
	BMenu				*cLocaleMenu;			// Pointer to language menu
	BMessage			cPref;					// Buffer for setting data
};
#endif
